<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getIP](./bitburner.ns.getip.md)

## NS.getIP() method

Returns a string with the IP address of the server that the script is running on.

**Signature:**

```typescript
getIP(): string;
```
**Returns:**

string

IP address of the server that the script runs on.

## Remarks

RAM cost: 0.05 GB

